package com.app.humfuel.data;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * Created by neeraj on 16/6/17.
 */

public class OrderCreatingData implements Serializable, Parcelable {

    public final static Parcelable.Creator<OrderCreatingData> CREATOR = new Creator<OrderCreatingData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public OrderCreatingData createFromParcel(Parcel in) {
            OrderCreatingData instance = new OrderCreatingData();
            instance.id = ((String) in.readValue((String.class.getClassLoader())));
            instance.userId = ((String) in.readValue((String.class.getClassLoader())));
            instance.address = ((String) in.readValue((String.class.getClassLoader())));
            instance.latitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.longitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.item = ((String) in.readValue((String.class.getClassLoader())));
            instance.deliveryDate = ((String) in.readValue((String.class.getClassLoader())));
            instance.quantity = ((String) in.readValue((String.class.getClassLoader())));
            instance.pincode = ((String) in.readValue((String.class.getClassLoader())));
            instance.itemPrice = ((String) in.readValue((String.class.getClassLoader())));
            instance.transportationCharges = ((String) in.readValue((String.class.getClassLoader())));
            instance.tax = ((String) in.readValue((String.class.getClassLoader())));
            instance.orderStatus = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public OrderCreatingData[] newArray(int size) {
            return (new OrderCreatingData[size]);
        }

    };
    @SerializedName("UserId")
    @Expose
    public String userId;
    @SerializedName("Id")
    @Expose
    public String id;
    @SerializedName("Address")
    @Expose
    public String address;
    @SerializedName("Latitude")
    @Expose
    public String latitude;
    @SerializedName("Longitude")
    @Expose
    public String longitude;
    @SerializedName("Item")
    @Expose
    public String item;
    @SerializedName("DeliveryDate")
    @Expose
    public String deliveryDate;
    @SerializedName("Quantity")
    @Expose
    public String quantity;
    @SerializedName("Pincode")
    @Expose
    public String pincode;
    @SerializedName("ItemPrice")
    @Expose
    public String itemPrice;
    @SerializedName("TransportationCharges")
    @Expose
    public String transportationCharges;
    @SerializedName("Tax")
    @Expose
    public String tax;
    @SerializedName("OrderStatus")
    @Expose
    public String orderStatus;

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(id);
        dest.writeValue(userId);
        dest.writeValue(address);
        dest.writeValue(latitude);
        dest.writeValue(longitude);
        dest.writeValue(item);
        dest.writeValue(deliveryDate);
        dest.writeValue(quantity);
        dest.writeValue(pincode);
        dest.writeValue(itemPrice);
        dest.writeValue(transportationCharges);
        dest.writeValue(tax);
        dest.writeValue(orderStatus);
    }

    public int describeContents() {
        return 0;
    }

}

