package com.app.humfuel.data;

/**
 * Created by neeraj on 27/6/17.
 */

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class PreorderData implements Serializable, Parcelable {

    public final static Parcelable.Creator<PreorderData> CREATOR = new Creator<PreorderData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public PreorderData createFromParcel(Parcel in) {
            PreorderData instance = new PreorderData();
            instance.petrolPrice = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.dieselPrice = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.transportationCharges = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.serviceTax = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.petrolAvailable = ((Boolean) in.readValue((Boolean.class.getClassLoader())));
            instance.dieselAvailable = ((Boolean) in.readValue((Boolean.class.getClassLoader())));
            instance.pincode = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public PreorderData[] newArray(int size) {
            return (new PreorderData[size]);
        }

    };
    @SerializedName("PetrolPrice")
    @Expose
    public Float petrolPrice;
    @SerializedName("DieselPrice")
    @Expose
    public Float dieselPrice;
    @SerializedName("TransportationCharges")
    @Expose
    public Integer transportationCharges;
    @SerializedName("ServiceTax")
    @Expose
    public Integer serviceTax;
    @SerializedName("PetrolAvailable")
    @Expose
    public Boolean petrolAvailable;
    @SerializedName("DieselAvaialable")
    @Expose
    public Boolean dieselAvailable;
    @SerializedName("Pincode")
    @Expose
    public String pincode;

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(petrolPrice);
        dest.writeValue(dieselPrice);
        dest.writeValue(transportationCharges);
        dest.writeValue(serviceTax);
        dest.writeValue(petrolAvailable);
        dest.writeValue(dieselAvailable);
        dest.writeValue(pincode);
    }

    public int describeContents() {
        return 0;
    }

}
