package com.app.humfuel.data;

/**
 * Created by neeraj on 5/8/17.
 */

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class TermsData implements Serializable, Parcelable {

    public final static Parcelable.Creator<TermsData> CREATOR = new Creator<TermsData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public TermsData createFromParcel(Parcel in) {
            TermsData instance = new TermsData();
            instance.terms = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public TermsData[] newArray(int size) {
            return (new TermsData[size]);
        }

    };
    @SerializedName("Terms")
    @Expose
    public String terms;

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(terms);
    }

    public int describeContents() {
        return 0;
    }

}