package com.app.humfuel.fragment

import android.content.Context
import android.text.Editable
import android.text.TextWatcher
import android.view.View
import android.widget.Button
import android.widget.EditText
import com.app.humfuel.activity.BaseActivity

/**
 * Created by neeraj on 27/7/17.
 */
object OTPHandle {
    fun readOTP(context: Context, listener: ((otp: String) -> Unit), submitBT: Button, vararg editTexts: EditText) {
        for (editText in editTexts) {
            editText.addTextChangedListener(object : TextWatcher {
                override fun afterTextChanged(p0: Editable?) {
                }

                override fun beforeTextChanged(p0: CharSequence?, p1: Int, p2: Int, p3: Int) {
                }

                override fun onTextChanged(charSequence: CharSequence, i: Int, i1: Int, count: Int) {
                    val v1 = editText.focusSearch(if (count == 1) View.FOCUS_RIGHT else View.FOCUS_LEFT)
                    v1?.requestFocus()
                }
            })
        }
        submitBT.setOnClickListener { _ ->
            var otp = ""
            for (editText in editTexts) {
                otp += editText.text.toString().trim { it <= ' ' }
            }
            if (otp.length < editTexts.size) {
                (context as BaseActivity).showToast("Enter full OTP", true)
            } else {
                listener.invoke(otp)
            }
        }
    }
}
