package com.app.humfuel.data;

/**
 * Created by neeraj on 2/8/17.
 */

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class OrderData implements Serializable, Parcelable {

    public final static Parcelable.Creator<OrderData> CREATOR = new Creator<OrderData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public OrderData createFromParcel(Parcel in) {
            OrderData instance = new OrderData();
            instance.userId = ((String) in.readValue((String.class.getClassLoader())));
            instance.id = ((String) in.readValue((String.class.getClassLoader())));
            instance.address = ((String) in.readValue((String.class.getClassLoader())));
            instance.lattitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.longitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.item = ((String) in.readValue((String.class.getClassLoader())));
            instance.deliveryDate = ((String) in.readValue((String.class.getClassLoader())));
            instance.quantity = ((String) in.readValue((String.class.getClassLoader())));
            instance.createdDate = ((String) in.readValue((String.class.getClassLoader())));
            instance.pincode = ((String) in.readValue((String.class.getClassLoader())));
            instance.orderStatus = ((String) in.readValue((String.class.getClassLoader())));
            instance.itemPrice = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.transportationCharges = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.tax = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.queryNo = ((String) in.readValue((String.class.getClassLoader())));
            instance.isActive = ((Boolean) in.readValue((Boolean.class.getClassLoader())));
            instance.oTP = ((String) in.readValue((String.class.getClassLoader())));
            instance.reason = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public OrderData[] newArray(int size) {
            return (new OrderData[size]);
        }

    };
    @SerializedName("UserId")
    @Expose
    public String userId;
    @SerializedName("Id")
    @Expose
    public String id;
    @SerializedName("Address")
    @Expose
    public String address;
    @SerializedName("Lattitude")
    @Expose
    public String lattitude;
    @SerializedName("Longitude")
    @Expose
    public String longitude;
    @SerializedName("Item")
    @Expose
    public String item;
    @SerializedName("DeliveryDate")
    @Expose
    public String deliveryDate;
    @SerializedName("Quantity")
    @Expose
    public String quantity;
    @SerializedName("CreatedDate")
    @Expose
    public String createdDate;
    @SerializedName("Pincode")
    @Expose
    public String pincode;
    @SerializedName("OrderStatus")
    @Expose
    public String orderStatus;
    @SerializedName("ItemPrice")
    @Expose
    public Float itemPrice;
    @SerializedName("TransportationCharges")
    @Expose
    public Integer transportationCharges;
    @SerializedName("Tax")
    @Expose
    public Integer tax;
    @SerializedName("QueryNo")
    @Expose
    public String queryNo;
    @SerializedName("IsActive")
    @Expose
    public Boolean isActive;
    @SerializedName("OTP")
    @Expose
    public String oTP;
    @SerializedName("Reason")
    @Expose
    public String reason;

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(userId);
        dest.writeValue(id);
        dest.writeValue(address);
        dest.writeValue(lattitude);
        dest.writeValue(longitude);
        dest.writeValue(item);
        dest.writeValue(deliveryDate);
        dest.writeValue(quantity);
        dest.writeValue(createdDate);
        dest.writeValue(pincode);
        dest.writeValue(orderStatus);
        dest.writeValue(itemPrice);
        dest.writeValue(transportationCharges);
        dest.writeValue(tax);
        dest.writeValue(queryNo);
        dest.writeValue(isActive);
        dest.writeValue(oTP);
        dest.writeValue(reason);
    }

    public int describeContents() {
        return 0;
    }

}