package com.app.humfuel.data;

/**
 * Created by neeraj on 16/6/17.
 */

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class OrderSubmitData implements Serializable, Parcelable {

    @SerializedName("Id")
    @Expose
    public Integer id;
    @SerializedName("UserId")
    @Expose
    public Integer userId;
    @SerializedName("Address")
    @Expose
    public String address;
    @SerializedName("Longitude")
    @Expose
    public String longitude;
    @SerializedName("Latitude")
    @Expose
    public String latitude;
    @SerializedName("Item")
    @Expose
    public String item;
    @SerializedName("DeliveryDate")
    @Expose
    public String deliveryDate;
    @SerializedName("Quantity")
    @Expose
    public String quantity;
    @SerializedName("ItemPrice")
    @Expose
    public Float itemPrice;
    @SerializedName("TransportationCharges")
    @Expose
    public Float transportationCharges;
    @SerializedName("Tax")
    @Expose
    public Float tax;
    @SerializedName("ReferenceNumber")
    @Expose
    public String referenceNumber;
    @SerializedName("Pincode")
    @Expose
    public String pincode;
    @SerializedName("Status")
    @Expose
    public Boolean status;
    @SerializedName("OTP")
    @Expose
    public String oTP;
    public final static Parcelable.Creator<OrderSubmitData> CREATOR = new Creator<OrderSubmitData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public OrderSubmitData createFromParcel(Parcel in) {
            OrderSubmitData instance = new OrderSubmitData();
            instance.id = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.userId = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.address = ((String) in.readValue((String.class.getClassLoader())));
            instance.longitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.latitude = ((String) in.readValue((String.class.getClassLoader())));
            instance.item = ((String) in.readValue((String.class.getClassLoader())));
            instance.deliveryDate = ((String) in.readValue((String.class.getClassLoader())));
            instance.quantity = ((String) in.readValue((String.class.getClassLoader())));
            instance.itemPrice = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.transportationCharges = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.tax = ((Float) in.readValue((Float.class.getClassLoader())));
            instance.referenceNumber = ((String) in.readValue((String.class.getClassLoader())));
            instance.pincode = ((String) in.readValue((String.class.getClassLoader())));
            instance.status = ((Boolean) in.readValue((Boolean.class.getClassLoader())));
            instance.oTP = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public OrderSubmitData[] newArray(int size) {
            return (new OrderSubmitData[size]);
        }

    };

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(id);
        dest.writeValue(userId);
        dest.writeValue(address);
        dest.writeValue(longitude);
        dest.writeValue(latitude);
        dest.writeValue(item);
        dest.writeValue(deliveryDate);
        dest.writeValue(quantity);
        dest.writeValue(itemPrice);
        dest.writeValue(transportationCharges);
        dest.writeValue(tax);
        dest.writeValue(referenceNumber);
        dest.writeValue(pincode);
        dest.writeValue(status);
        dest.writeValue(oTP);
    }

    public int describeContents() {
        return 0;
    }

}