package com.app.humfuel.data;

/**
 * Created by neeraj on 15/6/17.
 */

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class ProfileData implements Serializable, Parcelable {

    public final static Creator<ProfileData> CREATOR = new Creator<ProfileData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public ProfileData createFromParcel(Parcel in) {
            ProfileData instance = new ProfileData();
            instance.userId = ((Integer) in.readValue((Integer.class.getClassLoader())));
            instance.name = ((String) in.readValue((String.class.getClassLoader())));
            instance.mobile = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public ProfileData[] newArray(int size) {
            return (new ProfileData[size]);
        }

    };
    @SerializedName("UserId")
    @Expose
    public Integer userId;
    @SerializedName("Name")
    @Expose
    public String name;
    @SerializedName("Mobile")
    @Expose
    public String mobile;

    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(userId);
        dest.writeValue(name);
        dest.writeValue(mobile);
    }

    public int describeContents() {
        return 0;
    }

}