package com.app.humfuel.data;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.SerializedName;

/**
 * Created by neeraj on 15/6/17.
 */
public class SignupData implements Parcelable {
    @SerializedName("Name")
    public String name;

    @SerializedName("email")
    public String email;

    @SerializedName("password")
    public String password;

    @SerializedName("Mobile")
    public String mobile;

    @SerializedName("LoginType")
    public String loginType;

    public final static Parcelable.Creator<SignupData> CREATOR = new Creator<SignupData>() {


        @SuppressWarnings({
                "unchecked"
        })
        public SignupData createFromParcel(Parcel in) {
            SignupData instance = new SignupData();
            instance.name = ((String) in.readValue((String.class.getClassLoader())));
            instance.email = ((String) in.readValue((String.class.getClassLoader())));
            instance.mobile = ((String) in.readValue((String.class.getClassLoader())));
            instance.loginType = ((String) in.readValue((String.class.getClassLoader())));
            instance.password = ((String) in.readValue((String.class.getClassLoader())));
            return instance;
        }

        public SignupData[] newArray(int size) {
            return (new SignupData[size]);
        }

    };


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(name);
        parcel.writeString(email);
        parcel.writeString(password);
        parcel.writeString(mobile);
        parcel.writeString(loginType);
    }
}
