package com.app.humfuel.utils

import com.google.android.gms.maps.model.LatLng

/**
 * Created by neeraj.narwal on 9/8/16.
 */
object PinAdd {

    private var listener: ((address: String?, latLng: LatLng) -> Unit)? = null

    fun setListener(listener: ((address: String?, latLng: LatLng) -> Unit)) {
        this.listener = listener
    }

    fun sendBackLocation(address: String?, latLng: LatLng) {
        listener?.invoke(address, latLng)
    }
}
